Arch Grilla

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Grid and the translation is 35% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎русский
Arrow-left.svg Previous: Arch AxisSystem.png Axes system
Next: Roof Arch Roof.svg Arrow-right.svg

Arch Grid.svg Arch Grid

Menu location
Arch → Axis tools → Grid
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Axis, Arch AxisSystem


Descripción

La herramienta Grid/Grilla le permite colocar un objeto similar a una cuadrícula en el documento. Este objeto sirve como base para construir objetos Arch que necesitan un marco regular pero complejo, como ventanas, muros cortina, rejillas de columnas, barandas, etc. El objeto Grilla se puede editar como una hoja de cálculo, donde puede agregar o eliminar columnas y filas, definir su tamaño y combinar celdas.

La grilla es un objeto 2D y, por lo tanto, puede utilizarse en cualquier lugar donde se necesite una forma 2D como Draft o Sketch, pero también puede comportarse como un Arch AxisSystem, y se usará para propagar la ubicación de otros objetos de Arch.

Arch Grid example.jpg

La imagen de arriba muestra una grilla de columnas, un sistema de barandillas y una ventana, cada una basada en un objeto grilla.

Utilización

  1. Presione el botón Arch Grid.png Arch Grid
  2. Establezca el Ancho y Altura de la grilla en las propiedades
  3. Ingrese al modo de edición haciendo doble clic en el objeto de la grilla en la vista de árbol
  4. Agregar filas y columnas
  5. Establezca el ancho y el alto deseados de filas y columnas haciendo doble clic en los encabezados de fila o columna

Opciones

  • Un ancho de columna o una altura de fila de 0 significa que su tamaño se adaptará automáticamente para ajustarse al ancho / alto total de la grilla
  • Las celdas se pueden fusionar y no fusionar seleccionándolas y haciendo clic en el botón apropiado
  • Cuando se usa como la propiedad Eje de otros objetos Arch, la grilla controlará el posicionamiento de estos objetos. La propiedad Salida de puntos define cómo se colocan los otros objetos en la grilla: en vértices, puntos medios del borde o centros de caras
  • Al establecer las propiedades Auto Height o Auto Width en un valor distinto de cero, se ignora el número total de filas / columnas y sus alturas / anchuras individuales. En cambio, se crea automáticamente la cantidad máxima de columnas o filas del auto especificado ancho / alto

Propiedades

  • DATOSRows: el número de filas
  • DATOSColumns: el número de columnas
  • DATOSRow Size: los tamaños para las filas
  • DATOSColumn Size: los tamaños de las columnas
  • DATOSPoints Output: el tipo de puntos 3D producidos por este objeto de cuadrícula
  • DATOSWidth: el ancho total de esta grilla
  • DATOSHeight: la altura total de esta grilla
  • DATOSAuto Width: crea divisiones de columna automáticas (se establece en 0 para deshabilitar)
  • DATOSAuto Height: crea divisiones de filas automáticas (establecido en 0 para deshabilitar)
  • DATOSReorient: cuando está en el modo de punto medio de borde, si esta grilla debe reorientar sus hijos a lo largo de las normales de borde o no
  • DATOSHidden Faces: los índices de caras para ocultar

Programación

La herramienta grilla se puede usar en macros y desde la consola de python mediante la siguiente función:

Grid = makeGrid(name="Grid")
  • Creates a Grid object.

Its Width, Height, Rows, and Columns attributes can be changed directly to define the appearance of the grid.

import FreeCAD, Draft, Arch
Grid = Arch.makeGrid()

Grid.Width = 5000
Grid.Height = 5000
Grid.Rows = 4
Grid.Columns = 6
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = Grid
FreeCAD.ActiveDocument.recompute()